FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ref< T > Class Template Reference

An adapter. Own or reference an mutable object. More...

`#include <ref.hpp>`

## Public Member Functions
| Ref ()=default
| Ref (T t)
| Ref (T *t)
| ~Ref ()=default
Ref & | operator= (Ref &&) noexcept=default
| Ref (const Ref< T > &)=default
| Ref (Ref< T > &&) noexcept=default
Ref< T > & | operator= (const Ref< T > &)=default
T & | operator() ()
T & | operator* ()
T * | operator-> ()
const T & | operator() () const
const T & | operator* () const
const T * | operator-> () const

## Detailed Description

template<typename T>
class ftxui::Ref< T >

An adapter. Own or reference an mutable object.

Definition at line 46 of file ref.hpp.

## Constructor & Destructor Documentation

## ◆ Ref() [1/5]

template<typename T >

Ref | ( |  | ) |
| default

## ◆ Ref() [2/5]

template<typename T >

Ref | ( | T | t | ) |
| inline

Definition at line 49 of file ref.hpp.

## ◆ Ref() [3/5]

template<typename T >

Ref | ( | T * | t | ) |
| inline

Definition at line 50 of file ref.hpp.

## ◆ ~Ref()

template<typename T >

~Ref | ( |  | ) |
| default

## ◆ Ref() [4/5]

template<typename T >

Ref | ( | const Ref< T > & |  | ) |
| default

## ◆ Ref() [5/5]

template<typename T >

Ref | ( | Ref< T > && |  | ) |
| default noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T >

Ref & operator= | ( | Ref< T > && |  | ) |
| default noexcept

## ◆ operator=() [2/2]

template<typename T >

Ref< T > & operator= | ( | const Ref< T > & |  | ) |
| default

## ◆ operator()() [1/2]

template<typename T >

T & operator() | ( |  | ) |
| inline

Definition at line 60 of file ref.hpp.

## ◆ operator*() [1/2]

template<typename T >

T & operator* | ( |  | ) |
| inline

Definition at line 61 of file ref.hpp.

## ◆ operator->() [1/2]

template<typename T >

T * operator-> | ( |  | ) |
| inline

Definition at line 62 of file ref.hpp.

## ◆ operator()() [2/2]

template<typename T >

const T & operator() | ( |  | ) | const
| inline

Definition at line 63 of file ref.hpp.

## ◆ operator*() [2/2]

template<typename T >

const T & operator* | ( |  | ) | const
| inline

Definition at line 64 of file ref.hpp.

## ◆ operator->() [2/2]

template<typename T >

const T * operator-> | ( |  | ) | const
| inline

Definition at line 65 of file ref.hpp.

The documentation for this class was generated from the following file:

- ref.hpp